import request from '@/utils/request'

// 查询纳税信用等级信息列表
export function listInfo(query) {
  return request({
    url: '/crmEnterpriseTaxClassificationInfo/findByPage',
    method: 'get',
    params: query
  })
}

// 查询纳税信用等级信息详细
export function getInfo(id) {
  return request({
    url: '/basicData/info/' + id,
    method: 'get'
  })
}

// 新增纳税信用等级信息
export function addInfo(data) {
  return request({
    url: '/basicData/info',
    method: 'post',
    data: data
  })
}

// 修改纳税信用等级信息
export function updateInfo(data) {
  return request({
    url: '/basicData/info',
    method: 'put',
    data: data
  })
}

// 删除纳税信用等级信息
export function delInfo(id) {
  return request({
    url: '/crmEnterpriseTaxClassificationInfo/deleteAll' ,
    method: 'delete'
  })
}
// 批量删除行政许可
export function delinfoBatch(ids) {
  console.log(ids);
  return request.post('/crmEnterpriseTaxClassificationInfo/delete',ids)
}